Gantry::Utils::AuthCDBI(3)

NAME
Gantry::Utils::AuthCDBI - Class::DBI base model for Gantry Auth

SYNOPSIS
This module expects to retrieve the database connection, username and password from the apache conf file like this:

<Location / >
    PerlOptions +GlobalRequest

    PerlSetVar auth_dbconn 'dbi:Pg:[database]'
    PerlSetVar auth_dbuser 'myuser'
    PerlSetVar auth_dbpass 'mypass'
</Location>

Or, from the cgi engines constructor:

    my $cgi = Gantry::Engine::CGI->new(
        locations => ...,
        config => {
            auth_dbconn =>  'dbi:Pg:[database]',
            auth_dbuser =>  'myuser',
            auth_dbpass =>  'mypass',
        }
    );

Or, from a script:

    #!/usr/bin/perl

    use Gangtry::Utils::DBConnHelper::Script;

    Gangtry::Utils::DBConnHelper::Script->set_auth_db_conn(
        {
            auth_dbconn =>  'dbi:Pg:[database]',
            auth_dbuser =>  'myuser',
            auth_dbpass =>  'mypass',
        }
    );

DESCRIPTION
This module provide the base methods for Class::DBI, including the db connection through Gantry::Utils::ModelHelper (and its friends in the Gantry::Utils::DBConnHelper family).

METHODS

get_db_options
    Returns the dbi connection options, which are usually supplied by Class::DBI's _default_attributes method.

AUTHOR
Tim Keefer <tkeefer@gmail.com>

COPYRIGHT and LICENSE
Copyright (c) 2005-6, Tim Keefer.

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself, either Perl version 5.8.6 or, at your option, any later version of Perl 5 you may have available.